--- old/usr/src/uts/common/ktli/t_krcvudat.c	Fri Jun 13 09:21:33 2014
+++ new/usr/src/uts/common/ktli/t_krcvudat.c	Fri Jun 13 09:21:33 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Gary Mills
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -36,8 +37,6 @@
  * contributors.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Kernel TLI-like function to read a datagram off of a
  * transport endpoints stream head.
@@ -49,7 +48,6 @@
  * 	T_UDERR		If an error indication has been received,
  * 			in which case uderr contains the unitdata
  * 			error number.
- * 	T_ERROR
  */
 
 #include <sys/param.h>
@@ -294,7 +292,7 @@
 	case M_FLUSH:
 		KTLILOG(1, "t_krcvudata: tli_recv returned M_FLUSH\n", 0);
 		freemsg(bp);
-		*type = T_ERROR;
+		error = EBADMSG;
 		break;
 
 	default:
@@ -301,7 +299,7 @@
 		KTLILOG(1, "t_krcvudata: unknown message type %x\n",
 		    bp->b_datap->db_type);
 		freemsg(bp);
-		*type = T_ERROR;
+		error = EBADMSG;
 		break;
 	}
 
